org.apache.cayenne.access.translator.batch

## Class UpdateBatchTranslator

- java.lang.Object
- - org.apache.cayenne.access.translator.batch.DefaultBatchTranslator
  - - org.apache.cayenne.access.translator.batch.UpdateBatchTranslator

- All Implemented Interfaces:
    BatchTranslator

      public class UpdateBatchTranslator
      extends DefaultBatchTranslator

  A translator for UpdateBatchQueries that produces parameterized SQL.

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.translator.batch.DefaultBatchTranslator

      `adapter, bindings, query, sql, translated, trimFunction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateBatchTranslator(UpdateBatchQuery query, DbAdapter adapter, String trimFunction)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DbAttributeBinding[]` | `createBindings()`
    `protected String` | `createSql()`
    `protected DbAttributeBinding[]` | `doUpdateBindings(BatchQueryRow row)`

    - ### Methods inherited from class org.apache.cayenne.access.translator.batch.DefaultBatchTranslator

      `appendDbAttribute, ensureTranslated, getBindings, getSql, updateBindings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateBatchTranslator

          public UpdateBatchTranslator(UpdateBatchQuery query,
                                       DbAdapter adapter,
                                       String trimFunction)

  - ### Method Detail

    - #### createSql

          protected String createSql()

      Specified by:
        `createSql` in class `DefaultBatchTranslator`

    - #### createBindings

          protected DbAttributeBinding[] createBindings()

      Specified by:
        `createBindings` in class `DefaultBatchTranslator`

    - #### doUpdateBindings

          protected DbAttributeBinding[] doUpdateBindings(BatchQueryRow row)

      Specified by:
        `doUpdateBindings` in class `DefaultBatchTranslator`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.